pae module from Gunter... problems

David Minodier forspam at david.wd107.tamaris.tm.fr
Fri Jan 21 08:53:03 EST 2005


Hi all,
I'm trying to compile the PAE module found at
http://www.informatik.uni-rostock.de/~gbur/pae/pae-0.0.2.tar.gz
written by Gunter. And I have a few questions here. I've read the entire
mailing list since December and I'm quite confused...

- is this module a standalone module or is it now included in hostapd-0.3.4?
(well, does not seem included, but, is hostapd-0.3.4 patched for it now,
or do we still have to apply the patches ?)
- I have a Sarge Debian system. I can't figure out how to compile something
from the Makefile provided in the PAE package. (I'm not particularly good at
modifying Makefiles though !) My kernel source is located at :
/usr/src/kernel-source-2.6.8 while the headers are in
/usr/src/kernel-headers-2.6.8-1-686-smp. What is to be modified in the
Makefile so that the includes of the .h work ? The original Makefile is left
at the end of this message.
- has anyone managed to compile it and make it works on a Debian
2.6.8-1-686-smp kernel ?

Many thanks to all, and again, congrads to both the hostapd and pae
developpers !

Yours,
David.

---
PAE - Makefile
---
# Edit this path to match with your system (it should point to the root
# directory of the Linux kernel source)
ifndef KERNEL_PATH
KERNEL_PATH=/usr/src/linux
endif

DESTDIR=

# if Rules.make exists in the kernel tree, we assume 2.4 style modules
# if it doesn't assume 2.6 style
OLDMAKE = $(wildcard $(KERNEL_PATH)/Rules.make)

MSRC=pae
MODULE_PAE=pae.o
MODPATH_PAE=

VERFILE := $(KERNEL_PATH)/include/linux/version.h
KERNELRELEASE := $(shell if [ -r $(VERFILE) ]; \
        then (cat $(VERFILE); echo UTS_RELEASE) | $(CC) $(INCLUDES)
$(CFLAGS) -E - | tail -1 | x
args echo; \
        else uname -r; fi)
MODPATH := $(DESTDIR)/lib/modules/$(KERNELRELEASE)
MODPATH_PAE := $(MODPATH)/net

ifeq (,$(OLDMAKE))
all: 2.6
else
all: 2.4
endif
#echo ${MAKE}
2.4:
        @if ! echo "$(KERNELRELEASE)" | grep -q "^2\.4"; then \
                echo "*** Can't build for 2.4 with a non-2.4 source!"; \
                exit 1; \
        fi
        $(MAKE) -C $(KERNEL_PATH) SUBDIRS=`pwd`/modules modules
        $(MAKE) install_all_info

2.6:
        @if ! echo "$(KERNELRELEASE)" | grep -q "^2\.6" && \
                ! echo "$(KERNELRELEASE)" | grep -q "^2\.5"; then \
                echo "*** Can't build for 2.6 with a non-2.6 source!"; \
                exit 1; \
        fi
        $(MAKE) -C $(KERNEL_PATH) SUBDIRS=`pwd`/modules \
                MODVERDIR=`pwd`/modules modules
        $(MAKE) install_all_info

clean:
        rm -f modules/*.o
        rm -f modules/*.ko

install_all_info:
        @echo "*** Become superuser and 'make install' to install the
modules. ***"

test:
        $(MAKE) -C testing
        @echo "Installing $(MODULE_PAE) to $(MODPATH_PAE)"
        mkdir -p $(MODPATH_PAE)
        cp -f modules/$(MODULE_PAE) $(MODPATH_PAE)




More information about the HostAP mailing list